require 'uri'

module DoubanFM
  module Constants
    # 豆瓣FM的API服务器通过`app_name`和`version`来确定
    # 客户端的合法性
    APP_NAME = 'radio_desktop_win'
    APP_VERSION = 100

    # 此URI用于用户登录
    # 返回的用户信息是JSON格式的
    LOGIN_URI = URI('http://www.douban.com/j/app/login')

    # 此URI用于获取所有可用的兆赫(channel)
    # 返回值为JSON格式
    CHANNELS_URI = URI('http://www.douban.com/j/app/radio/channels')

    # 我的私人兆赫所对应的ID
    PERSONAL_CHANNEL_ID = 0

    # 我的红心兆赫所对应的ID
    RED_HEART_CHANNEL_ID = -3

    # 当前兆赫(channel)未设定时的默认值
    INVALID_CHANNEL_ID = -1
  end

  module ActionType
    # 不再播放
    BYE = 'b'

    # 标记当前歌曲为喜欢
    RATE = 'r'

    # 取消当前歌曲的喜欢标记
    UNRATE = 'u'

    # 当前歌曲播放完毕，但是歌曲队列中还有歌曲
    FINISH = 'e'

    # 没有歌曲播放，歌曲队列也没有任何歌曲，需要返回新播放列表
    NEW_PLAYLIST = 'n'

    # 歌曲正在播放，队列中还有歌曲，需要返回新的播放列表
    NEXT_PLAYLIST = 'p'

    # 跳过当前歌曲
    SKIP = 's'
  end
end
